---
title: OffscreenCanvas.convertToBlob()
slug: Web/API/OffscreenCanvas/toBlob
tags:
  - API
  - Canvas
  - Experimental
  - Method
  - OffscreenCanvas
  - Reference
---
<div>{{APIRef("Canvas API")}} {{SeeCompatTable}}</div>

<p>The <strong><code>OffscreenCanvas.convertToBlob()</code></strong> method creates a {{domxref("Blob")}} object representing the image contained in the canvas.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Promise&lt;Blob&gt; OffscreenCanvas.convertToBlob(<var>options</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>options</code> {{optional_inline}}</dt>
 <dd>
 <p>You can specify several options when converting your {{domxref("OffscreenCanvas")}} object into a {{domxref("Blob")}} object, for example:</p>

 <pre class="brush: js">const blob = offscreenCanvas.convertToBlob({
  type: "image/jpeg",
  quality: 0.95
});</pre>

 <p>options:</p>

 <ul>
  <li><strong><code>type</code></strong>: A {{domxref("DOMString")}} indicating the image format. The default type is <code>image/png</code>.</li>
  <li><code><strong>quality</strong></code>: A {{jsxref("Number")}} between <code>0</code> and <code>1</code> indicating image quality if the <code>type</code> option is <code>image/jpeg</code> or <code>image/webp</code>. If this argument is anything else, the default value for image quality is used. Other arguments are ignored.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Promise")}} returning a {{domxref("Blob")}} object representing the image contained in the canvas.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var offscreen = new OffscreenCanvas(256, 256);
var gl = offscreen.getContext("webgl");

// ... some drawing using the gl context ...

offscreen.convertToBlob().then(function(blob) {
  console.log(blob);
});

// Blob { size: 334, type: "image/png" }</pre>

<h2 id="Specifications">Specifications</h2>

<p>Currently drafted as a proposal: <a href="https://wiki.whatwg.org/wiki/OffscreenCanvas">OffscreenCanvas</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.OffscreenCanvas.convertToBlob")}}</p>
</div>


<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining this method, {{domxref("OffscreenCanvas")}}.</li>
</ul>
